> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bread.africa/llms.txt
> Use this file to discover all available pages before exploring further.

# Create wallet

> This endpoint allows you to create new wallet.



## OpenAPI

````yaml openapi.json post /wallet
openapi: 3.0.3
info:
  title: Bread API
  description: >-
    The Bread provides comprehensive cryptocurrency wallet management
    capabilities including wallet creation, balance monitoring, and asset
    transfers.
  version: 2.0.0
servers:
  - url: https://processor-prod.up.railway.app
    description: Production server
security: []
paths:
  /wallet:
    post:
      tags:
        - Wallet
      summary: Create wallet
      description: This endpoint allows you to create new wallet.
      operationId: createWallet
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateWalletRequest'
      responses:
        '200':
          description: Wallet created successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateWalletResponse'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    CreateWalletRequest:
      oneOf:
        - type: object
          title: Basic
          description: >-
            Basic wallet without any automation, you can make manual operations
            like transfers, swaps and offramps, balance checks etc. via API
            calls.
          properties:
            reference:
              type: string
              description: Unique reference identifier for the wallet
              example: lt3o4tgb21uay4gye5mgp109fvvkp4
        - type: object
          title: Offramp
          description: >-
            Offramp wallet automatically converts incoming crypto deposits to a
            local currency specified during beneficiary creation, and based on
            the current exchange rate on Bread. You can set only one beneficiary
            for a wallet.
          required:
            - beneficiary_id
            - offramp
          properties:
            reference:
              type: string
              description: Unique reference identifier for the wallet
              example: lt3o4tgb21uay4gye5mgp109fvvkp4
            offramp:
              type: boolean
              enum:
                - true
              description: >-
                Whether to automatically offramp incoming deposits. Must be
                **true**.
              example: true
            beneficiary_id:
              type: string
              description: The beneficiary to receive offramp payouts.
              example: 68bf2eba196a18d7bd166184
        - type: object
          title: Transfer
          description: >-
            Transfer wallet automatically transfers incoming crypto deposits to
            your internal settlement wallet. You can always transfer from the
            settlement wallet to any external wallet of choice via the transfer
            API endpoint or dashboard.
          required:
            - transfer
          properties:
            reference:
              type: string
              description: Unique reference identifier for the wallet
              example: lt3o4tgb21uay4gye5mgp109fvvkp4
            transfer:
              type: boolean
              enum:
                - true
              description: >-
                Whether to automatically transfer incoming deposits. Must be
                **true**.
              example: true
        - type: object
          title: Swap
          description: >-
            Swap wallet automatically converts incoming crypto deposits to a
            specific crypto asset. The asset and blockchain to always swap to
            can be configured via the asset configuration API endpoint or your
            dashboard.
          required:
            - swap
          properties:
            reference:
              type: string
              description: Unique reference identifier for the wallet
              example: lt3o4tgb21uay4gye5mgp109fvvkp4
            swap:
              type: boolean
              enum:
                - true
              description: >-
                Whether to automatically swap incoming deposits. Must be
                **true**.
              example: true
    CreateWalletResponse:
      type: object
      properties:
        status:
          type: integer
          example: 201
        message:
          type: string
          example: Wallet created successfully
        data:
          type: object
          properties:
            reference:
              type: string
              example: lt3o4tgb21uay4gye5mgp109fvvkp4
            wallet_id:
              type: string
              example: 68bf04ab0752968e34dbfc81
            address:
              type: object
              properties:
                evm:
                  type: string
                  example: '0x05A0e60459DBeea04fcd8a9354bb201ebc88B676'
                svm:
                  type: string
                  example: EyueD1zfc5yjjy81umZSCjfSc1KLDmhpQMwrGUvKbsKu
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-service-key

````